Bug 177184 - Grub hangs before stage 2 when Promise SATA TX2 Plus card installed
Grub hangs before stage 2 when Promise SATA TX2 Plus card installed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 21:09 EST by Andy Lareau
Modified: 2008-03-09 21:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lareau 2006-01-06 21:09:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I took my working FC3 system down last week.  I added a 160GB Hitachi SATA disk and connected it to the second port on the Promise TX2 Plus PCI card.  The first port is connected to a 200GB Seagate SATA drive.  The system boots off of a 40GB Seagate IDE drive.  

Upon rebooting, the computer halted with the following message:
GRUB Loading, Please Wait.

I was confused as to what was causing the problem at first, so I upgraded to FC4 since I had been contemplating doing so anyway.  I did a full wipe and install to isolate against the chance that one of the partitions on the main drive was causing something weird to happen (everything was backed up).  Same results.  

Updated the BIOS to the latest.  Same results.  

I finally took the machine apart, completely removed the Promise card, and the machine boots normally.  

Motherboard is an IPOX CS65, Pentium III 1GHz, 512MB RAM.  The only other PCI card is a Netgear GA311 Gigabit ethernet card.  Removing other cards has no effect.  However, this booting error seems to only occur when there are TWO drives attached to the Promise card.  With one drive, the system boots normally.  

I am able to boot from the rescue CD, and all drives/partitions are recognized fine.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC4, partition IDE drive into /boot, swap and / and partition 2 SATA drives as a single logical volume.  
2. Reboot at end of install.  
3. Machine hangs at boot.  
  

Actual Results:  GRUB Loading, Please Wait.

Expected Results:  GRUB Loading Stage 2, then booting FC4.  

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:51:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 21:51:21 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.